
module Kernel

  # Defines object_classas an alias of class.
  # This is an alternative to __class__, akin to
  # #object_id.
  #
  alias_method( :object_class, :class )

end


#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
=begin test

  require 'test/unit'

  class TCKernel < Test::Unit::TestCase

    def test_object_class
      assert_equal( self.class, self.object_class )
    end

  end

=end
